#! /bin/sh
#
# /etc/init.d/adminmodule
#
### BEGIN INIT INFO
# Provides: adminmodule
# Required-Start: $network
# Required-Stop: $network
# Default-Start: 3 5
# Default-Stop: 0 1 2 6
# Description: SpliceCom AdminModule
### END INIT INFO

set -e

NAME=AdminModule
SCRIPT=runadmin
DAEMON=/SpliceCom/$SCRIPT
PIDFILE=/SpliceCom/$SCRIPT.pid
test -x $DAEMON || exit 5

. /lib/lsb/init-functions
. /etc/default/rcS

case "$1" in
	start)
		log_begin_msg "Starting SpliceCom $NAME"
		## Start daemon with startproc(8). If this fails
		## the echo return value is set appropriate.

		start-stop-daemon --start --quiet --background --pidfile $PIDFILE --name $SCRIPT --startas $DAEMON

		# Remember status and be verbose
		log_end_msg $?
		;;
	stop)
		log_begin_msg "Shutting down SpliceCom $NAME"
		## Stop daemon with killproc(8) and if this fails
		## set echo the echo return value.
	
		start-stop-daemon --stop --quiet --oknodo --pidfile $PIDFILE
	
		# Remember status and be verbose
		log_end_msg $?
		;;
	try-restart)
		## Stop the service and if this succeeds (i.e. the 
		## service was running before), start it again.
		$0 status >/dev/null &&  $0 restart

		# Remember status and be quiet
		log_end_msg $?
		;;
	restart)
		## Stop the service and regardless of whether it was
		## running or not, start it again.
		set +e
		$0 stop
		$0 start

		# Remember status and be quiet
		log_end_msg $?
		;;
	force-reload|reload)
		## Signal the daemon to reload its config. Most daemons
		## do this on signal 1 (SIGHUP).

		log_begin_msg "Reload SpliceCom $NAME"

		start-stop-daemon --stop --quiet --signal 1 --pidfile $PIDFILE --name $SCRIPT

		log_end_msg $?

		;;
	status)
		log_begin_msg "Checking for SpliceCom $NAME"
		## Check status with checkproc(8), if process is running
		## checkproc will return with exit status 0.

		# Status has a slightly different for the status command:
		# 0 - service running
		# 1 - service dead, but /var/run/  pid  file exists
		# 2 - service dead, but /var/lock/ lock file exists
		# 3 - service not running

		status_of_proc -p $PIDFILE $SCRIPT

		log_end_msg $?
		;;
	*)
		echo "Usage: $0 {start|stop|status|try-restart|restart|force-reload|reload}"
		exit 1
		;;
esac

exit 0

